ConstructorSite.ConstructorSiteNoUnwrap (Groovy 4.0.15)

Package: org.codehaus.groovy.runtime.callsite

## [Java] Class ConstructorSite.ConstructorSiteNoUnwrap

- org.codehaus.groovy.runtime.callsite.ConstructorSite.ConstructorSiteNoUnwrap

-     public static class ConstructorSite.ConstructorSiteNoUnwrap
      extends ConstructorSite

  Call site where we know there is no need to unwrap arguments

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaClassSite` | `metaClass`
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstructorSiteNoUnwrap(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final Object` | `callConstructor(Object receiver, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ConstructorSite` | `callConstructor, checkCall, createConstructorSite`
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

- - ### Constructor Detail

    - #### public ConstructorSiteNoUnwrap(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)

  - ### Method Detail

    - #### @Override
      public final Object callConstructor(Object receiver, Object[] args)